Bug 568699 - (CVE-2010-0428) CVE-2010-0428 libspice: Insufficient guest provided pointers validation
CVE-2010-0428 libspice: Insufficient guest provided pointers validation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20100819,reported=20100223,sou...
: Security
Depends On: 568719 568720 568721 568722 568811 833974
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-26 07:09 EST by Petr Matousek
Modified: 2016-04-26 12:55 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-04 09:08:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-02-26 07:09:54 EST
Izik Eidus found a bug in QEMU that allows priviledged guest user
to touch arbitrary memory in the hosting QEMU process. The bug is in
QXL/libspice code. Guest and host share region of memory and
use it to communicate with each other. Malicious user can use the
lack of validation of pointers embedded into data structures in
this memory area to touch host's abitrary memory location and/or make
the hosting QEMU process crash by dereferencing invalid pointer.
Comment 7 errata-xmlrpc 2010-08-19 17:26:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0633 https://rhn.redhat.com/errata/RHSA-2010-0633.html
Comment 8 errata-xmlrpc 2010-08-19 17:45:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0622 https://rhn.redhat.com/errata/RHSA-2010-0622.html

Note You need to log in before you can comment on or make changes to this bug.